<doxygenindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="index.xsd">
  <compound kind="file" refid="cy__result_8h"><name>cy_result.h</name>
    <member kind="define" refid="group__group__result_1ga9ae9b152a38632a9e0f8620845c6cea9"><name>CY_RSLT_GET_TYPE</name></member>
    <member kind="define" refid="group__group__result_1gab959fc67da8489c03d3ab631442393b4"><name>CY_RSLT_GET_MODULE</name></member>
    <member kind="define" refid="group__group__result_1ga5a7fc037210b7ff81c65160e11823443"><name>CY_RSLT_GET_CODE</name></member>
    <member kind="define" refid="group__group__result_1ga711a53e03635b4f3e21c41aaf9459251"><name>CY_RSLT_CREATE</name></member>
    <member kind="define" refid="group__group__result_1ga611032ac7ceaccf05943b73868e13438"><name>CY_RSLT_TYPE_INFO</name></member>
    <member kind="define" refid="group__group__result_1ga5aa8f2db241158e42052d8940045d2a0"><name>CY_RSLT_TYPE_WARNING</name></member>
    <member kind="define" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37"><name>CY_RSLT_TYPE_ERROR</name></member>
    <member kind="define" refid="group__group__result_1ga2bc4a48af22980d72766f825eda62658"><name>CY_RSLT_TYPE_FATAL</name></member>
    <member kind="define" refid="group__group__result_1gaf229ad57884c3c8e4c5ecc7f217ce8aa"><name>CY_RSLT_MODULE_DRIVERS_PDL_BASE</name></member>
    <member kind="define" refid="group__group__result_1ga328dd4831cad3621a05e3fad151f9cd5"><name>CY_RSLT_MODULE_DRIVERS_WHD_BASE</name></member>
    <member kind="define" refid="group__group__result_1gaba8505defe4e04a5927b6e0590e256f0"><name>CY_RSLT_MODULE_ABSTRACTION_HAL_BASE</name></member>
    <member kind="define" refid="group__group__result_1gada155710418c5225c8ccaa8e75e9a577"><name>CY_RSLT_MODULE_ABSTRACTION_HAL</name></member>
    <member kind="define" refid="group__group__result_1ga4f6360a8bf5a570d6927d50123e95c1d"><name>CY_RSLT_MODULE_ABSTRACTION_BSP</name></member>
    <member kind="define" refid="group__group__result_1ga9cde2c478cdd2b7f626bc45c2a4a0543"><name>CY_RSLT_MODULE_ABSTRACTION_FS</name></member>
    <member kind="define" refid="group__group__result_1gab757b71680be515dd43368895fa73b7d"><name>CY_RSLT_MODULE_ABSTRACTION_RESOURCE</name></member>
    <member kind="define" refid="group__group__result_1ga5a59f041b014217d0d699bc3b0ae3cca"><name>CY_RSLT_MODULE_ABSTRACTION_OS</name></member>
    <member kind="define" refid="group__group__result_1gad1c76e11af277ca324da1c8516d7d31a"><name>CY_RSLT_MODULE_ABSTRACTION_ENV</name></member>
    <member kind="define" refid="group__group__result_1ga809314d87ef1e8f175564e88ccef70a9"><name>CY_RSLT_MODULE_BOARD_LIB_BASE</name></member>
    <member kind="define" refid="group__group__result_1ga2424e0be0c1e672c829fb3798720465f"><name>CY_RSLT_MODULE_BOARD_LIB_RETARGET_IO</name></member>
    <member kind="define" refid="group__group__result_1gaea80fb321cb0b3e298a3a2e90e445d3d"><name>CY_RSLT_MODULE_BOARD_LIB_RGB_LED</name></member>
    <member kind="define" refid="group__group__result_1ga0ce9bf3fc06bf768cd32558b44aaaf0f"><name>CY_RSLT_MODULE_BOARD_LIB_SERIAL_FLASH</name></member>
    <member kind="define" refid="group__group__result_1ga927ff40c1f2cbe51a3c5c3f52c533e57"><name>CY_RSLT_MODULE_BOARD_LIB_WHD_INTEGRATION</name></member>
    <member kind="define" refid="group__group__result_1ga76bcb30b36e7fea0c8165c55e561de73"><name>CY_RSLT_MODULE_BOARD_SHIELD_BASE</name></member>
    <member kind="define" refid="group__group__result_1gaa5b8e84947e9bf1a7fb5d8003ef276bf"><name>CY_RSLT_MODULE_BOARD_SHIELD_028_EPD</name></member>
    <member kind="define" refid="group__group__result_1ga40e8ea560bec96d98a8397308ce773cd"><name>CY_RSLT_MODULE_BOARD_SHIELD_028_TFT</name></member>
    <member kind="define" refid="group__group__result_1gad3e437a0d81d24329914409b890d05e9"><name>CY_RSLT_MODULE_BOARD_SHIELD_032</name></member>
    <member kind="define" refid="group__group__result_1ga57f83cdac42fe9fc2afbe82609a00d74"><name>CY_RSLT_MODULE_BOARD_HARDWARE_BASE</name></member>
    <member kind="define" refid="group__group__result_1ga19d6abe548162ac238afbc69ace1a2d4"><name>CY_RSLT_MODULE_BOARD_HARDWARE_BMI160</name></member>
    <member kind="define" refid="group__group__result_1ga36f615a1ecf7bba46416720e0892c115"><name>CY_RSLT_MODULE_BOARD_HARDWARE_E2271CS021</name></member>
    <member kind="define" refid="group__group__result_1ga052784c9e3c64b33e5d056aa1db57c59"><name>CY_RSLT_MODULE_BOARD_HARDWARE_THERMISTOR</name></member>
    <member kind="define" refid="group__group__result_1ga9c77295c2fb9f887a857b8b63810f18d"><name>CY_RSLT_MODULE_BOARD_HARDWARE_SSD1306</name></member>
    <member kind="define" refid="group__group__result_1ga646b094bb857dcf1bdf21448224f8b7a"><name>CY_RSLT_MODULE_BOARD_HARDWARE_ST7789V</name></member>
    <member kind="define" refid="group__group__result_1ga929b1c06f7aa2a85ea6e3c317c3d5cf6"><name>CY_RSLT_MODULE_BOARD_HARDWARE_LIGHT_SENSOR</name></member>
    <member kind="define" refid="group__group__result_1ga3cb51b341c4dac2984d76e0ab00056bb"><name>CY_RSLT_MODULE_BOARD_HARDWARE_AK4954A</name></member>
    <member kind="define" refid="group__group__result_1ga2db34d05e5194f919d6cc45957dc5047"><name>CY_RSLT_MODULE_MIDDLEWARE_BASE</name></member>
    <member kind="define" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e"><name>CY_RSLT_SUCCESS</name></member>
    <member kind="typedef" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1"><name>cy_rslt_t</name></member>
  </compound>
  <compound kind="file" refid="cy__utils_8h"><name>cy_utils.h</name>
    <member kind="define" refid="group__group__utils_1ga0a73602e14d41b2d525a1185597c8445"><name>CY_UNUSED_PARAMETER</name></member>
    <member kind="define" refid="group__group__utils_1gab333fce69ffe5eef183d190d37cc04db"><name>CY_ASSERT</name></member>
    <member kind="define" refid="group__group__utils_1gaa7531a66d82ec4ab6c36a26579fedd3f"><name>CY_LO8</name></member>
    <member kind="define" refid="group__group__utils_1gaa57842ae9ca46f0e4b6f280e8f4eaa6c"><name>CY_HI8</name></member>
    <member kind="define" refid="group__group__utils_1ga58340d6e97870eff30ea323d7c529d3b"><name>CY_LO16</name></member>
    <member kind="define" refid="group__group__utils_1ga4ecbc90074294a4427c78b3385281c80"><name>CY_HI16</name></member>
    <member kind="define" refid="group__group__utils_1gaaeb74e76832ed842048d448d556f26bb"><name>CY_SWAP_ENDIAN16</name></member>
    <member kind="define" refid="group__group__utils_1ga97584523775e03eb4b9443b2c6db1ca9"><name>CY_SWAP_ENDIAN32</name></member>
    <member kind="define" refid="group__group__utils_1gabdb9e784645440db1f74b0060eeec466"><name>CY_SWAP_ENDIAN64</name></member>
    <member kind="define" refid="group__group__utils_1ga34975c78bf005e734701b46d04811c98"><name>CY_GET_REG8</name></member>
    <member kind="define" refid="group__group__utils_1gaeca2bcb3d8be3de33fe86b610bf86b90"><name>CY_SET_REG8</name></member>
    <member kind="define" refid="group__group__utils_1ga21359444986c07db7fdb6993f313b472"><name>CY_GET_REG16</name></member>
    <member kind="define" refid="group__group__utils_1gaf6fdd73b6a193e60b1b8d11d6cbfcb13"><name>CY_SET_REG16</name></member>
    <member kind="define" refid="group__group__utils_1ga08558965aa9ed40b40be2e03382e866d"><name>CY_GET_REG24</name></member>
    <member kind="define" refid="group__group__utils_1ga749ab39829e9caf8955d91dd355fe8b3"><name>CY_SET_REG24</name></member>
    <member kind="define" refid="group__group__utils_1ga99c7cedf249c18295512d896086dc64f"><name>CY_GET_REG32</name></member>
    <member kind="define" refid="group__group__utils_1gafc826bc60da53abdb37e1e12c91d148a"><name>CY_SET_REG32</name></member>
    <member kind="define" refid="group__group__utils_1ga7dfff5dad289133d84f2c1caddd0382e"><name>_CLR_SET_FLD32U</name></member>
    <member kind="define" refid="group__group__utils_1ga6873efbed50e1e0485e5f3279f193aa2"><name>CY_REG32_CLR_SET</name></member>
    <member kind="define" refid="group__group__utils_1ga10a2bdfbcf75aed8d292209057b0ee6b"><name>_CLR_SET_FLD16U</name></member>
    <member kind="define" refid="group__group__utils_1gab2b4fa8f484a8308eadec61e80e82623"><name>CY_REG16_CLR_SET</name></member>
    <member kind="define" refid="group__group__utils_1ga5e3bafb985f38613bde1147dc73fcf65"><name>_CLR_SET_FLD8U</name></member>
    <member kind="define" refid="group__group__utils_1gac927ea147352133e7a1ead8913247d90"><name>CY_REG8_CLR_SET</name></member>
    <member kind="define" refid="group__group__utils_1ga935b8fbcfd877d03f234825f296e7ac9"><name>_BOOL2FLD</name></member>
    <member kind="define" refid="group__group__utils_1ga8d9ee76c64031ffe440b12e55bf6947d"><name>_FLD2BOOL</name></member>
    <member kind="define" refid="group__group__utils_1ga05f244da002bc0c7dc9c1475053f8cfd"><name>CY_SYSLIB_DIV_ROUND</name></member>
    <member kind="define" refid="group__group__utils_1ga7b4264645556dd22feb8b877a283e2a2"><name>CY_SYSLIB_DIV_ROUNDUP</name></member>
    <member kind="function" refid="group__group__utils_1ga80391b71fc1f6ec0a82d00866a168f38"><name>CY_HALT</name></member>
  </compound>
  <compound kind="file" refid="README_8doxygen_8md"><name>README.doxygen.md</name>
  </compound>
  <compound kind="group" refid="group__group__result"><name>group_result</name>
    <member kind="define" refid="group__group__result_1ga9ae9b152a38632a9e0f8620845c6cea9"><name>CY_RSLT_GET_TYPE</name></member>
    <member kind="define" refid="group__group__result_1gab959fc67da8489c03d3ab631442393b4"><name>CY_RSLT_GET_MODULE</name></member>
    <member kind="define" refid="group__group__result_1ga5a7fc037210b7ff81c65160e11823443"><name>CY_RSLT_GET_CODE</name></member>
    <member kind="define" refid="group__group__result_1ga711a53e03635b4f3e21c41aaf9459251"><name>CY_RSLT_CREATE</name></member>
    <member kind="define" refid="group__group__result_1ga611032ac7ceaccf05943b73868e13438"><name>CY_RSLT_TYPE_INFO</name></member>
    <member kind="define" refid="group__group__result_1ga5aa8f2db241158e42052d8940045d2a0"><name>CY_RSLT_TYPE_WARNING</name></member>
    <member kind="define" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37"><name>CY_RSLT_TYPE_ERROR</name></member>
    <member kind="define" refid="group__group__result_1ga2bc4a48af22980d72766f825eda62658"><name>CY_RSLT_TYPE_FATAL</name></member>
    <member kind="define" refid="group__group__result_1gaf229ad57884c3c8e4c5ecc7f217ce8aa"><name>CY_RSLT_MODULE_DRIVERS_PDL_BASE</name></member>
    <member kind="define" refid="group__group__result_1ga328dd4831cad3621a05e3fad151f9cd5"><name>CY_RSLT_MODULE_DRIVERS_WHD_BASE</name></member>
    <member kind="define" refid="group__group__result_1gaba8505defe4e04a5927b6e0590e256f0"><name>CY_RSLT_MODULE_ABSTRACTION_HAL_BASE</name></member>
    <member kind="define" refid="group__group__result_1gada155710418c5225c8ccaa8e75e9a577"><name>CY_RSLT_MODULE_ABSTRACTION_HAL</name></member>
    <member kind="define" refid="group__group__result_1ga4f6360a8bf5a570d6927d50123e95c1d"><name>CY_RSLT_MODULE_ABSTRACTION_BSP</name></member>
    <member kind="define" refid="group__group__result_1ga9cde2c478cdd2b7f626bc45c2a4a0543"><name>CY_RSLT_MODULE_ABSTRACTION_FS</name></member>
    <member kind="define" refid="group__group__result_1gab757b71680be515dd43368895fa73b7d"><name>CY_RSLT_MODULE_ABSTRACTION_RESOURCE</name></member>
    <member kind="define" refid="group__group__result_1ga5a59f041b014217d0d699bc3b0ae3cca"><name>CY_RSLT_MODULE_ABSTRACTION_OS</name></member>
    <member kind="define" refid="group__group__result_1gad1c76e11af277ca324da1c8516d7d31a"><name>CY_RSLT_MODULE_ABSTRACTION_ENV</name></member>
    <member kind="define" refid="group__group__result_1ga809314d87ef1e8f175564e88ccef70a9"><name>CY_RSLT_MODULE_BOARD_LIB_BASE</name></member>
    <member kind="define" refid="group__group__result_1ga2424e0be0c1e672c829fb3798720465f"><name>CY_RSLT_MODULE_BOARD_LIB_RETARGET_IO</name></member>
    <member kind="define" refid="group__group__result_1gaea80fb321cb0b3e298a3a2e90e445d3d"><name>CY_RSLT_MODULE_BOARD_LIB_RGB_LED</name></member>
    <member kind="define" refid="group__group__result_1ga0ce9bf3fc06bf768cd32558b44aaaf0f"><name>CY_RSLT_MODULE_BOARD_LIB_SERIAL_FLASH</name></member>
    <member kind="define" refid="group__group__result_1ga927ff40c1f2cbe51a3c5c3f52c533e57"><name>CY_RSLT_MODULE_BOARD_LIB_WHD_INTEGRATION</name></member>
    <member kind="define" refid="group__group__result_1ga76bcb30b36e7fea0c8165c55e561de73"><name>CY_RSLT_MODULE_BOARD_SHIELD_BASE</name></member>
    <member kind="define" refid="group__group__result_1gaa5b8e84947e9bf1a7fb5d8003ef276bf"><name>CY_RSLT_MODULE_BOARD_SHIELD_028_EPD</name></member>
    <member kind="define" refid="group__group__result_1ga40e8ea560bec96d98a8397308ce773cd"><name>CY_RSLT_MODULE_BOARD_SHIELD_028_TFT</name></member>
    <member kind="define" refid="group__group__result_1gad3e437a0d81d24329914409b890d05e9"><name>CY_RSLT_MODULE_BOARD_SHIELD_032</name></member>
    <member kind="define" refid="group__group__result_1ga57f83cdac42fe9fc2afbe82609a00d74"><name>CY_RSLT_MODULE_BOARD_HARDWARE_BASE</name></member>
    <member kind="define" refid="group__group__result_1ga19d6abe548162ac238afbc69ace1a2d4"><name>CY_RSLT_MODULE_BOARD_HARDWARE_BMI160</name></member>
    <member kind="define" refid="group__group__result_1ga36f615a1ecf7bba46416720e0892c115"><name>CY_RSLT_MODULE_BOARD_HARDWARE_E2271CS021</name></member>
    <member kind="define" refid="group__group__result_1ga052784c9e3c64b33e5d056aa1db57c59"><name>CY_RSLT_MODULE_BOARD_HARDWARE_THERMISTOR</name></member>
    <member kind="define" refid="group__group__result_1ga9c77295c2fb9f887a857b8b63810f18d"><name>CY_RSLT_MODULE_BOARD_HARDWARE_SSD1306</name></member>
    <member kind="define" refid="group__group__result_1ga646b094bb857dcf1bdf21448224f8b7a"><name>CY_RSLT_MODULE_BOARD_HARDWARE_ST7789V</name></member>
    <member kind="define" refid="group__group__result_1ga929b1c06f7aa2a85ea6e3c317c3d5cf6"><name>CY_RSLT_MODULE_BOARD_HARDWARE_LIGHT_SENSOR</name></member>
    <member kind="define" refid="group__group__result_1ga3cb51b341c4dac2984d76e0ab00056bb"><name>CY_RSLT_MODULE_BOARD_HARDWARE_AK4954A</name></member>
    <member kind="define" refid="group__group__result_1ga2db34d05e5194f919d6cc45957dc5047"><name>CY_RSLT_MODULE_MIDDLEWARE_BASE</name></member>
    <member kind="typedef" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1"><name>cy_rslt_t</name></member>
    <member kind="define" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e"><name>CY_RSLT_SUCCESS</name></member>
  </compound>
  <compound kind="group" refid="group__group__utils"><name>group_utils</name>
    <member kind="function" refid="group__group__utils_1ga80391b71fc1f6ec0a82d00866a168f38"><name>CY_HALT</name></member>
    <member kind="define" refid="group__group__utils_1ga0a73602e14d41b2d525a1185597c8445"><name>CY_UNUSED_PARAMETER</name></member>
    <member kind="define" refid="group__group__utils_1gab333fce69ffe5eef183d190d37cc04db"><name>CY_ASSERT</name></member>
    <member kind="define" refid="group__group__utils_1gaa7531a66d82ec4ab6c36a26579fedd3f"><name>CY_LO8</name></member>
    <member kind="define" refid="group__group__utils_1gaa57842ae9ca46f0e4b6f280e8f4eaa6c"><name>CY_HI8</name></member>
    <member kind="define" refid="group__group__utils_1ga58340d6e97870eff30ea323d7c529d3b"><name>CY_LO16</name></member>
    <member kind="define" refid="group__group__utils_1ga4ecbc90074294a4427c78b3385281c80"><name>CY_HI16</name></member>
    <member kind="define" refid="group__group__utils_1gaaeb74e76832ed842048d448d556f26bb"><name>CY_SWAP_ENDIAN16</name></member>
    <member kind="define" refid="group__group__utils_1ga97584523775e03eb4b9443b2c6db1ca9"><name>CY_SWAP_ENDIAN32</name></member>
    <member kind="define" refid="group__group__utils_1gabdb9e784645440db1f74b0060eeec466"><name>CY_SWAP_ENDIAN64</name></member>
    <member kind="define" refid="group__group__utils_1ga34975c78bf005e734701b46d04811c98"><name>CY_GET_REG8</name></member>
    <member kind="define" refid="group__group__utils_1gaeca2bcb3d8be3de33fe86b610bf86b90"><name>CY_SET_REG8</name></member>
    <member kind="define" refid="group__group__utils_1ga21359444986c07db7fdb6993f313b472"><name>CY_GET_REG16</name></member>
    <member kind="define" refid="group__group__utils_1gaf6fdd73b6a193e60b1b8d11d6cbfcb13"><name>CY_SET_REG16</name></member>
    <member kind="define" refid="group__group__utils_1ga08558965aa9ed40b40be2e03382e866d"><name>CY_GET_REG24</name></member>
    <member kind="define" refid="group__group__utils_1ga749ab39829e9caf8955d91dd355fe8b3"><name>CY_SET_REG24</name></member>
    <member kind="define" refid="group__group__utils_1ga99c7cedf249c18295512d896086dc64f"><name>CY_GET_REG32</name></member>
    <member kind="define" refid="group__group__utils_1gafc826bc60da53abdb37e1e12c91d148a"><name>CY_SET_REG32</name></member>
    <member kind="define" refid="group__group__utils_1ga7dfff5dad289133d84f2c1caddd0382e"><name>_CLR_SET_FLD32U</name></member>
    <member kind="define" refid="group__group__utils_1ga6873efbed50e1e0485e5f3279f193aa2"><name>CY_REG32_CLR_SET</name></member>
    <member kind="define" refid="group__group__utils_1ga10a2bdfbcf75aed8d292209057b0ee6b"><name>_CLR_SET_FLD16U</name></member>
    <member kind="define" refid="group__group__utils_1gab2b4fa8f484a8308eadec61e80e82623"><name>CY_REG16_CLR_SET</name></member>
    <member kind="define" refid="group__group__utils_1ga5e3bafb985f38613bde1147dc73fcf65"><name>_CLR_SET_FLD8U</name></member>
    <member kind="define" refid="group__group__utils_1gac927ea147352133e7a1ead8913247d90"><name>CY_REG8_CLR_SET</name></member>
    <member kind="define" refid="group__group__utils_1ga935b8fbcfd877d03f234825f296e7ac9"><name>_BOOL2FLD</name></member>
    <member kind="define" refid="group__group__utils_1ga8d9ee76c64031ffe440b12e55bf6947d"><name>_FLD2BOOL</name></member>
    <member kind="define" refid="group__group__utils_1ga05f244da002bc0c7dc9c1475053f8cfd"><name>CY_SYSLIB_DIV_ROUND</name></member>
    <member kind="define" refid="group__group__utils_1ga7b4264645556dd22feb8b877a283e2a2"><name>CY_SYSLIB_DIV_ROUNDUP</name></member>
  </compound>
  <compound kind="dir" refid="dir_73759e45da4b1c8f1f87f85e3d7d2134"><name>core-lib</name>
  </compound>
  <compound kind="dir" refid="dir_0be58fefd2997a0515b0dffca0760b54"><name>include</name>
  </compound>
  <compound kind="dir" refid="dir_7adc4720b3983a97e3c6ffa80973c5b8"><name>libs</name>
  </compound>
  <compound kind="dir" refid="dir_cf6d034fbb8a82be17b39265b6ed736a"><name>output</name>
  </compound>
  <compound kind="group" refid="indexpage"><name>index</name>
  </compound>
</doxygenindex>